public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
* [gentoo-commits] repo/gentoo:master commit in: dev-python/antlr4-python3-runtime/
@ 2022-02-16 20:00 Arthur Zamarin
  0 siblings, 0 replies; 18+ messages in thread
From: Arthur Zamarin @ 2022-02-16 20:00 UTC (permalink / raw
  To: gentoo-commits

commit:     be39874c6b01443ffced533aa582bb33a0934d09
Author:     Yuan Liao <liaoyuan <AT> gmail <DOT> com>
AuthorDate: Sat Feb  5 04:38:34 2022 +0000
Commit:     Arthur Zamarin <arthurzam <AT> gentoo <DOT> org>
CommitDate: Wed Feb 16 19:59:34 2022 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=be39874c

dev-python/antlr4-python3-runtime: Initial import

Reviewed-by: Arthur Zamarin <arthurzam <AT> gentoo.org>
Acked-by: Arthur Zamarin <arthurzam <AT> gentoo.org>
Signed-off-by: Yuan Liao <liaoyuan <AT> gmail.com>
Closes: https://github.com/gentoo/gentoo/pull/24219
Signed-off-by: Arthur Zamarin <arthurzam <AT> gentoo.org>

 dev-python/antlr4-python3-runtime/Manifest          |  1 +
 .../antlr4-python3-runtime-4.9.3.ebuild             | 21 +++++++++++++++++++++
 dev-python/antlr4-python3-runtime/metadata.xml      | 16 ++++++++++++++++
 3 files changed, 38 insertions(+)

diff --git a/dev-python/antlr4-python3-runtime/Manifest b/dev-python/antlr4-python3-runtime/Manifest
new file mode 100644
index 000000000000..c0e996986276
--- /dev/null
+++ b/dev-python/antlr4-python3-runtime/Manifest
@@ -0,0 +1 @@
+DIST antlr-4.9.3.tar.gz 4640242 BLAKE2B fb58f5e533051cb2c439c32f0462c1d463c99df862ba7e1a37a1c61378ab36a9edb9525c2a342de5b517da6f02d8291de5976c550932314f3464aad1a778afb9 SHA512 61452404c9639b5a0908cda16605f17c0fed0c9adfc3278c7408f9971420e9d1fe8f9e974e0826c2e3e780fdd83324094c0246cd5b28fa63f5686b094ea08127

diff --git a/dev-python/antlr4-python3-runtime/antlr4-python3-runtime-4.9.3.ebuild b/dev-python/antlr4-python3-runtime/antlr4-python3-runtime-4.9.3.ebuild
new file mode 100644
index 000000000000..3456102b1cd5
--- /dev/null
+++ b/dev-python/antlr4-python3-runtime/antlr4-python3-runtime-4.9.3.ebuild
@@ -0,0 +1,21 @@
+# Copyright 2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{8..10} )
+inherit distutils-r1
+
+DESCRIPTION="Python 3 runtime for ANTLR"
+HOMEPAGE="https://www.antlr.org/"
+SRC_URI="https://github.com/antlr/antlr4/archive/${PV}.tar.gz -> antlr-${PV}.tar.gz"
+S="${WORKDIR}/antlr4-${PV}/runtime/Python3"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64"
+
+python_test() {
+	"${EPYTHON}" tests/run.py -v || die "Tests failed with ${EPYTHON}"
+}

diff --git a/dev-python/antlr4-python3-runtime/metadata.xml b/dev-python/antlr4-python3-runtime/metadata.xml
new file mode 100644
index 000000000000..542c7a870d6e
--- /dev/null
+++ b/dev-python/antlr4-python3-runtime/metadata.xml
@@ -0,0 +1,16 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "https://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+	<maintainer type="project">
+		<email>java@gentoo.org</email>
+		<name>Java</name>
+	</maintainer>
+	<maintainer type="project">
+		<email>python@gentoo.org</email>
+		<name>Python</name>
+	</maintainer>
+	<upstream>
+		<remote-id type="github">antlr/antlr4</remote-id>
+		<remote-id type="pypi">antlr4-python3-runtime</remote-id>
+	</upstream>
+</pkgmetadata>


^ permalink raw reply related	[flat|nested] 18+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: dev-python/antlr4-python3-runtime/
@ 2022-03-10  9:04 Jakov Smolić
  0 siblings, 0 replies; 18+ messages in thread
From: Jakov Smolić @ 2022-03-10  9:04 UTC (permalink / raw
  To: gentoo-commits

commit:     fde678fae550b5e29ccaf1241327c7785ea74eb8
Author:     Jakov Smolić <jsmolic <AT> gentoo <DOT> org>
AuthorDate: Thu Mar 10 09:03:54 2022 +0000
Commit:     Jakov Smolić <jsmolic <AT> gentoo <DOT> org>
CommitDate: Thu Mar 10 09:03:54 2022 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=fde678fa

dev-python/antlr4-python3-runtime: Keyword 4.9.3 x86, #834869

Signed-off-by: Jakov Smolić <jsmolic <AT> gentoo.org>

 dev-python/antlr4-python3-runtime/antlr4-python3-runtime-4.9.3.ebuild | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/dev-python/antlr4-python3-runtime/antlr4-python3-runtime-4.9.3.ebuild b/dev-python/antlr4-python3-runtime/antlr4-python3-runtime-4.9.3.ebuild
index 3456102b1cd5..36924c849be3 100644
--- a/dev-python/antlr4-python3-runtime/antlr4-python3-runtime-4.9.3.ebuild
+++ b/dev-python/antlr4-python3-runtime/antlr4-python3-runtime-4.9.3.ebuild
@@ -14,7 +14,7 @@ S="${WORKDIR}/antlr4-${PV}/runtime/Python3"
 
 LICENSE="BSD"
 SLOT="0"
-KEYWORDS="~amd64"
+KEYWORDS="~amd64 ~x86"
 
 python_test() {
 	"${EPYTHON}" tests/run.py -v || die "Tests failed with ${EPYTHON}"


^ permalink raw reply related	[flat|nested] 18+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: dev-python/antlr4-python3-runtime/
@ 2022-04-12 17:34 Michał Górny
  0 siblings, 0 replies; 18+ messages in thread
From: Michał Górny @ 2022-04-12 17:34 UTC (permalink / raw
  To: gentoo-commits

commit:     6eb21e9da14a4c41e6d892dd2040ee73e62eaf99
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Tue Apr 12 17:06:47 2022 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Tue Apr 12 17:34:06 2022 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=6eb21e9d

dev-python/antlr4-python3-runtime: Bump to 4.10

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 dev-python/antlr4-python3-runtime/Manifest         |  1 +
 .../antlr4-python3-runtime-4.10.ebuild             | 25 ++++++++++++++++++++++
 2 files changed, 26 insertions(+)

diff --git a/dev-python/antlr4-python3-runtime/Manifest b/dev-python/antlr4-python3-runtime/Manifest
index c0e996986276..a6fd2f18785c 100644
--- a/dev-python/antlr4-python3-runtime/Manifest
+++ b/dev-python/antlr4-python3-runtime/Manifest
@@ -1 +1,2 @@
+DIST antlr-4.10.tar.gz 4599769 BLAKE2B 030a4cef752aec2199a816717e242b12245d869634e8c3b94825990f1ad99c000d8bc247c95b182b8146ae57f705a437b3a43fe91f9855958ed2f2115cdbef40 SHA512 af865442047ad8880172e62d17b7eb68d5eeda668ed55995b05cae69ee5e47a89d7a757ddd429ab8d93f5bad50269f0e3dc2e9cf121a9b3d6a87674787858309
 DIST antlr-4.9.3.tar.gz 4640242 BLAKE2B fb58f5e533051cb2c439c32f0462c1d463c99df862ba7e1a37a1c61378ab36a9edb9525c2a342de5b517da6f02d8291de5976c550932314f3464aad1a778afb9 SHA512 61452404c9639b5a0908cda16605f17c0fed0c9adfc3278c7408f9971420e9d1fe8f9e974e0826c2e3e780fdd83324094c0246cd5b28fa63f5686b094ea08127

diff --git a/dev-python/antlr4-python3-runtime/antlr4-python3-runtime-4.10.ebuild b/dev-python/antlr4-python3-runtime/antlr4-python3-runtime-4.10.ebuild
new file mode 100644
index 000000000000..93aaa44d8c7c
--- /dev/null
+++ b/dev-python/antlr4-python3-runtime/antlr4-python3-runtime-4.10.ebuild
@@ -0,0 +1,25 @@
+# Copyright 2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{8..10} )
+
+inherit distutils-r1
+
+DESCRIPTION="Python 3 runtime for ANTLR"
+HOMEPAGE="https://www.antlr.org/"
+SRC_URI="
+	https://github.com/antlr/antlr4/archive/${PV}.tar.gz
+		-> antlr-${PV}.tar.gz
+"
+S="${WORKDIR}/antlr4-${PV}/runtime/Python3"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+
+python_test() {
+	"${EPYTHON}" tests/run.py -v || die "Tests failed with ${EPYTHON}"
+}


^ permalink raw reply related	[flat|nested] 18+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: dev-python/antlr4-python3-runtime/
@ 2022-05-01 13:42 Michał Górny
  0 siblings, 0 replies; 18+ messages in thread
From: Michał Górny @ 2022-05-01 13:42 UTC (permalink / raw
  To: gentoo-commits

commit:     3f4e31db7f5c41dbeabd3fcd66a7ffd1841961d7
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Sun May  1 13:22:19 2022 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Sun May  1 13:22:19 2022 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=3f4e31db

dev-python/antlr4-python3-runtime: Bump to 4.10.1

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 dev-python/antlr4-python3-runtime/Manifest         |  1 +
 .../antlr4-python3-runtime-4.10.1.ebuild           | 29 ++++++++++++++++++++++
 2 files changed, 30 insertions(+)

diff --git a/dev-python/antlr4-python3-runtime/Manifest b/dev-python/antlr4-python3-runtime/Manifest
index a6fd2f18785c..af8337274b9a 100644
--- a/dev-python/antlr4-python3-runtime/Manifest
+++ b/dev-python/antlr4-python3-runtime/Manifest
@@ -1,2 +1,3 @@
+DIST antlr-4.10.1.tar.gz 4599964 BLAKE2B 72688b3835350da11c015558a2840428fe69332a7b48992e118cb410005efce6ca5e02e8e5b1cf5edbf2cea506ec30fe516cce5061c52febbdb71f735c1c2cd1 SHA512 d950171d279b57b0fa977c77dd33e56848ca0aaf7f6ba40e5d49d69d5963e4c2e36fde5ee89e98c594064a909396d6fed9cc20129c3a1895d864eb889581e982
 DIST antlr-4.10.tar.gz 4599769 BLAKE2B 030a4cef752aec2199a816717e242b12245d869634e8c3b94825990f1ad99c000d8bc247c95b182b8146ae57f705a437b3a43fe91f9855958ed2f2115cdbef40 SHA512 af865442047ad8880172e62d17b7eb68d5eeda668ed55995b05cae69ee5e47a89d7a757ddd429ab8d93f5bad50269f0e3dc2e9cf121a9b3d6a87674787858309
 DIST antlr-4.9.3.tar.gz 4640242 BLAKE2B fb58f5e533051cb2c439c32f0462c1d463c99df862ba7e1a37a1c61378ab36a9edb9525c2a342de5b517da6f02d8291de5976c550932314f3464aad1a778afb9 SHA512 61452404c9639b5a0908cda16605f17c0fed0c9adfc3278c7408f9971420e9d1fe8f9e974e0826c2e3e780fdd83324094c0246cd5b28fa63f5686b094ea08127

diff --git a/dev-python/antlr4-python3-runtime/antlr4-python3-runtime-4.10.1.ebuild b/dev-python/antlr4-python3-runtime/antlr4-python3-runtime-4.10.1.ebuild
new file mode 100644
index 000000000000..9240a6802564
--- /dev/null
+++ b/dev-python/antlr4-python3-runtime/antlr4-python3-runtime-4.10.1.ebuild
@@ -0,0 +1,29 @@
+# Copyright 2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{8..10} )
+
+inherit distutils-r1
+
+DESCRIPTION="Python 3 runtime for ANTLR"
+HOMEPAGE="
+	https://www.antlr.org/
+	https://github.com/antlr/antlr4/
+	https://pypi.org/project/antlr4-python3-runtime/
+"
+SRC_URI="
+	https://github.com/antlr/antlr4/archive/${PV}.tar.gz
+		-> antlr-${PV}.tar.gz
+"
+S="${WORKDIR}/antlr4-${PV}/runtime/Python3"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+
+python_test() {
+	"${EPYTHON}" tests/run.py -v || die "Tests failed with ${EPYTHON}"
+}


^ permalink raw reply related	[flat|nested] 18+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: dev-python/antlr4-python3-runtime/
@ 2022-05-16 12:55 Michał Górny
  0 siblings, 0 replies; 18+ messages in thread
From: Michał Górny @ 2022-05-16 12:55 UTC (permalink / raw
  To: gentoo-commits

commit:     64aefb16bb0ae484850de509537dbb49e3a0560b
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Mon May 16 12:53:50 2022 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Mon May 16 12:55:47 2022 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=64aefb16

dev-python/antlr4-python3-runtime: Remove old

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 dev-python/antlr4-python3-runtime/Manifest         |  2 --
 .../antlr4-python3-runtime-4.10.ebuild             | 25 ----------------------
 .../antlr4-python3-runtime-4.9.3.ebuild            | 21 ------------------
 3 files changed, 48 deletions(-)

diff --git a/dev-python/antlr4-python3-runtime/Manifest b/dev-python/antlr4-python3-runtime/Manifest
index af8337274b9a..aa437ca8d82e 100644
--- a/dev-python/antlr4-python3-runtime/Manifest
+++ b/dev-python/antlr4-python3-runtime/Manifest
@@ -1,3 +1 @@
 DIST antlr-4.10.1.tar.gz 4599964 BLAKE2B 72688b3835350da11c015558a2840428fe69332a7b48992e118cb410005efce6ca5e02e8e5b1cf5edbf2cea506ec30fe516cce5061c52febbdb71f735c1c2cd1 SHA512 d950171d279b57b0fa977c77dd33e56848ca0aaf7f6ba40e5d49d69d5963e4c2e36fde5ee89e98c594064a909396d6fed9cc20129c3a1895d864eb889581e982
-DIST antlr-4.10.tar.gz 4599769 BLAKE2B 030a4cef752aec2199a816717e242b12245d869634e8c3b94825990f1ad99c000d8bc247c95b182b8146ae57f705a437b3a43fe91f9855958ed2f2115cdbef40 SHA512 af865442047ad8880172e62d17b7eb68d5eeda668ed55995b05cae69ee5e47a89d7a757ddd429ab8d93f5bad50269f0e3dc2e9cf121a9b3d6a87674787858309
-DIST antlr-4.9.3.tar.gz 4640242 BLAKE2B fb58f5e533051cb2c439c32f0462c1d463c99df862ba7e1a37a1c61378ab36a9edb9525c2a342de5b517da6f02d8291de5976c550932314f3464aad1a778afb9 SHA512 61452404c9639b5a0908cda16605f17c0fed0c9adfc3278c7408f9971420e9d1fe8f9e974e0826c2e3e780fdd83324094c0246cd5b28fa63f5686b094ea08127

diff --git a/dev-python/antlr4-python3-runtime/antlr4-python3-runtime-4.10.ebuild b/dev-python/antlr4-python3-runtime/antlr4-python3-runtime-4.10.ebuild
deleted file mode 100644
index 93aaa44d8c7c..000000000000
--- a/dev-python/antlr4-python3-runtime/antlr4-python3-runtime-4.10.ebuild
+++ /dev/null
@@ -1,25 +0,0 @@
-# Copyright 2022 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=8
-
-DISTUTILS_USE_PEP517=setuptools
-PYTHON_COMPAT=( python3_{8..10} )
-
-inherit distutils-r1
-
-DESCRIPTION="Python 3 runtime for ANTLR"
-HOMEPAGE="https://www.antlr.org/"
-SRC_URI="
-	https://github.com/antlr/antlr4/archive/${PV}.tar.gz
-		-> antlr-${PV}.tar.gz
-"
-S="${WORKDIR}/antlr4-${PV}/runtime/Python3"
-
-LICENSE="BSD"
-SLOT="0"
-KEYWORDS="~amd64 ~x86"
-
-python_test() {
-	"${EPYTHON}" tests/run.py -v || die "Tests failed with ${EPYTHON}"
-}

diff --git a/dev-python/antlr4-python3-runtime/antlr4-python3-runtime-4.9.3.ebuild b/dev-python/antlr4-python3-runtime/antlr4-python3-runtime-4.9.3.ebuild
deleted file mode 100644
index 36924c849be3..000000000000
--- a/dev-python/antlr4-python3-runtime/antlr4-python3-runtime-4.9.3.ebuild
+++ /dev/null
@@ -1,21 +0,0 @@
-# Copyright 2022 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=8
-
-DISTUTILS_USE_PEP517=setuptools
-PYTHON_COMPAT=( python3_{8..10} )
-inherit distutils-r1
-
-DESCRIPTION="Python 3 runtime for ANTLR"
-HOMEPAGE="https://www.antlr.org/"
-SRC_URI="https://github.com/antlr/antlr4/archive/${PV}.tar.gz -> antlr-${PV}.tar.gz"
-S="${WORKDIR}/antlr4-${PV}/runtime/Python3"
-
-LICENSE="BSD"
-SLOT="0"
-KEYWORDS="~amd64 ~x86"
-
-python_test() {
-	"${EPYTHON}" tests/run.py -v || die "Tests failed with ${EPYTHON}"
-}


^ permalink raw reply related	[flat|nested] 18+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: dev-python/antlr4-python3-runtime/
@ 2022-09-05  7:18 Michał Górny
  0 siblings, 0 replies; 18+ messages in thread
From: Michał Górny @ 2022-09-05  7:18 UTC (permalink / raw
  To: gentoo-commits

commit:     7cc41a45740c4a047610d856abf2c34f2ae30e85
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Mon Sep  5 06:52:56 2022 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Mon Sep  5 07:17:55 2022 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=7cc41a45

dev-python/antlr4-python3-runtime: Bump to 4.11.1

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 dev-python/antlr4-python3-runtime/Manifest         |  1 +
 .../antlr4-python3-runtime-4.11.1.ebuild           | 29 ++++++++++++++++++++++
 2 files changed, 30 insertions(+)

diff --git a/dev-python/antlr4-python3-runtime/Manifest b/dev-python/antlr4-python3-runtime/Manifest
index aa437ca8d82e..61b9f77d9bf6 100644
--- a/dev-python/antlr4-python3-runtime/Manifest
+++ b/dev-python/antlr4-python3-runtime/Manifest
@@ -1 +1,2 @@
 DIST antlr-4.10.1.tar.gz 4599964 BLAKE2B 72688b3835350da11c015558a2840428fe69332a7b48992e118cb410005efce6ca5e02e8e5b1cf5edbf2cea506ec30fe516cce5061c52febbdb71f735c1c2cd1 SHA512 d950171d279b57b0fa977c77dd33e56848ca0aaf7f6ba40e5d49d69d5963e4c2e36fde5ee89e98c594064a909396d6fed9cc20129c3a1895d864eb889581e982
+DIST antlr-4.11.1.gh.tar.gz 4383139 BLAKE2B ac6e49ae8d4d44923e40eba98fa2c850cb594929ae1a29223678377aabe6f35d57f95e125393aa6b7145828c876442608883356b594ab43346c891ca932d9fd5 SHA512 a81f2ebcbcb6e63eb651731ceafab55f66401a3da0a6b2688cfe96d3bda299542dab5b05aaf4c8a8520ba32891b23adbf912011a4e45afae492a2a350d333ae9

diff --git a/dev-python/antlr4-python3-runtime/antlr4-python3-runtime-4.11.1.ebuild b/dev-python/antlr4-python3-runtime/antlr4-python3-runtime-4.11.1.ebuild
new file mode 100644
index 000000000000..13f1fbcbd807
--- /dev/null
+++ b/dev-python/antlr4-python3-runtime/antlr4-python3-runtime-4.11.1.ebuild
@@ -0,0 +1,29 @@
+# Copyright 2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{8..11} )
+
+inherit distutils-r1
+
+DESCRIPTION="Python 3 runtime for ANTLR"
+HOMEPAGE="
+	https://www.antlr.org/
+	https://github.com/antlr/antlr4/
+	https://pypi.org/project/antlr4-python3-runtime/
+"
+SRC_URI="
+	https://github.com/antlr/antlr4/archive/${PV}.tar.gz
+		-> antlr-${PV}.gh.tar.gz
+"
+S="${WORKDIR}/antlr4-${PV}/runtime/Python3"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+
+python_test() {
+	"${EPYTHON}" tests/run.py -v || die "Tests failed with ${EPYTHON}"
+}


^ permalink raw reply related	[flat|nested] 18+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: dev-python/antlr4-python3-runtime/
@ 2022-11-14  4:34 Michał Górny
  0 siblings, 0 replies; 18+ messages in thread
From: Michał Górny @ 2022-11-14  4:34 UTC (permalink / raw
  To: gentoo-commits

commit:     07c4c49a5aeeb3a14121e7befdf72b4eb9cd2b8c
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Mon Nov 14 04:31:21 2022 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Mon Nov 14 04:31:21 2022 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=07c4c49a

dev-python/antlr4-python3-runtime: Remove old

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 dev-python/antlr4-python3-runtime/Manifest         |  1 -
 .../antlr4-python3-runtime-4.10.1.ebuild           | 29 ----------------------
 2 files changed, 30 deletions(-)

diff --git a/dev-python/antlr4-python3-runtime/Manifest b/dev-python/antlr4-python3-runtime/Manifest
index 61b9f77d9bf6..c99f021c0595 100644
--- a/dev-python/antlr4-python3-runtime/Manifest
+++ b/dev-python/antlr4-python3-runtime/Manifest
@@ -1,2 +1 @@
-DIST antlr-4.10.1.tar.gz 4599964 BLAKE2B 72688b3835350da11c015558a2840428fe69332a7b48992e118cb410005efce6ca5e02e8e5b1cf5edbf2cea506ec30fe516cce5061c52febbdb71f735c1c2cd1 SHA512 d950171d279b57b0fa977c77dd33e56848ca0aaf7f6ba40e5d49d69d5963e4c2e36fde5ee89e98c594064a909396d6fed9cc20129c3a1895d864eb889581e982
 DIST antlr-4.11.1.gh.tar.gz 4383139 BLAKE2B ac6e49ae8d4d44923e40eba98fa2c850cb594929ae1a29223678377aabe6f35d57f95e125393aa6b7145828c876442608883356b594ab43346c891ca932d9fd5 SHA512 a81f2ebcbcb6e63eb651731ceafab55f66401a3da0a6b2688cfe96d3bda299542dab5b05aaf4c8a8520ba32891b23adbf912011a4e45afae492a2a350d333ae9

diff --git a/dev-python/antlr4-python3-runtime/antlr4-python3-runtime-4.10.1.ebuild b/dev-python/antlr4-python3-runtime/antlr4-python3-runtime-4.10.1.ebuild
deleted file mode 100644
index 9240a6802564..000000000000
--- a/dev-python/antlr4-python3-runtime/antlr4-python3-runtime-4.10.1.ebuild
+++ /dev/null
@@ -1,29 +0,0 @@
-# Copyright 2022 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=8
-
-DISTUTILS_USE_PEP517=setuptools
-PYTHON_COMPAT=( python3_{8..10} )
-
-inherit distutils-r1
-
-DESCRIPTION="Python 3 runtime for ANTLR"
-HOMEPAGE="
-	https://www.antlr.org/
-	https://github.com/antlr/antlr4/
-	https://pypi.org/project/antlr4-python3-runtime/
-"
-SRC_URI="
-	https://github.com/antlr/antlr4/archive/${PV}.tar.gz
-		-> antlr-${PV}.tar.gz
-"
-S="${WORKDIR}/antlr4-${PV}/runtime/Python3"
-
-LICENSE="BSD"
-SLOT="0"
-KEYWORDS="~amd64 ~x86"
-
-python_test() {
-	"${EPYTHON}" tests/run.py -v || die "Tests failed with ${EPYTHON}"
-}


^ permalink raw reply related	[flat|nested] 18+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: dev-python/antlr4-python3-runtime/
@ 2023-02-20  6:24 Michał Górny
  0 siblings, 0 replies; 18+ messages in thread
From: Michał Górny @ 2023-02-20  6:24 UTC (permalink / raw
  To: gentoo-commits

commit:     2140bd70fb330b2f044f4bbc5cf3235b4686543d
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Mon Feb 20 05:23:30 2023 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Mon Feb 20 06:23:57 2023 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=2140bd70

dev-python/antlr4-python3-runtime: Bump to 4.12.0

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 dev-python/antlr4-python3-runtime/Manifest         |  1 +
 .../antlr4-python3-runtime-4.12.0.ebuild           | 29 ++++++++++++++++++++++
 2 files changed, 30 insertions(+)

diff --git a/dev-python/antlr4-python3-runtime/Manifest b/dev-python/antlr4-python3-runtime/Manifest
index c99f021c0595..8cba64bedde7 100644
--- a/dev-python/antlr4-python3-runtime/Manifest
+++ b/dev-python/antlr4-python3-runtime/Manifest
@@ -1 +1,2 @@
 DIST antlr-4.11.1.gh.tar.gz 4383139 BLAKE2B ac6e49ae8d4d44923e40eba98fa2c850cb594929ae1a29223678377aabe6f35d57f95e125393aa6b7145828c876442608883356b594ab43346c891ca932d9fd5 SHA512 a81f2ebcbcb6e63eb651731ceafab55f66401a3da0a6b2688cfe96d3bda299542dab5b05aaf4c8a8520ba32891b23adbf912011a4e45afae492a2a350d333ae9
+DIST antlr-4.12.0.gh.tar.gz 4408352 BLAKE2B 9a7ba9149c459e5b6a7eec750d1623f10be4aa119479d93dbf7f3955176013ac3e56d3a95399460ed5170cf2bf01fff586852a84d2cb86fe04e89846211e39cd SHA512 2217509e8766ceee7b9e5fdee3a9972b1f42fb442bdf3e3c0a8027f88bc49508386adb5ea8a02c982ef2176e2b5e60669746a387ec426682d7f43bca28aa4b6f

diff --git a/dev-python/antlr4-python3-runtime/antlr4-python3-runtime-4.12.0.ebuild b/dev-python/antlr4-python3-runtime/antlr4-python3-runtime-4.12.0.ebuild
new file mode 100644
index 000000000000..2c778f97e89c
--- /dev/null
+++ b/dev-python/antlr4-python3-runtime/antlr4-python3-runtime-4.12.0.ebuild
@@ -0,0 +1,29 @@
+# Copyright 2022-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{9..11} )
+
+inherit distutils-r1
+
+DESCRIPTION="Python 3 runtime for ANTLR"
+HOMEPAGE="
+	https://www.antlr.org/
+	https://github.com/antlr/antlr4/
+	https://pypi.org/project/antlr4-python3-runtime/
+"
+SRC_URI="
+	https://github.com/antlr/antlr4/archive/${PV}.tar.gz
+		-> antlr-${PV}.gh.tar.gz
+"
+S="${WORKDIR}/antlr4-${PV}/runtime/Python3"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+
+python_test() {
+	"${EPYTHON}" tests/run.py -v || die "Tests failed with ${EPYTHON}"
+}


^ permalink raw reply related	[flat|nested] 18+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: dev-python/antlr4-python3-runtime/
@ 2023-05-22  5:53 Michał Górny
  0 siblings, 0 replies; 18+ messages in thread
From: Michał Górny @ 2023-05-22  5:53 UTC (permalink / raw
  To: gentoo-commits

commit:     ff8b36577c6aa368c321c0501f0669ec245eed09
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Mon May 22 04:00:31 2023 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Mon May 22 05:53:26 2023 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=ff8b3657

dev-python/antlr4-python3-runtime: Bump to 4.13.0

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 dev-python/antlr4-python3-runtime/Manifest         |  1 +
 .../antlr4-python3-runtime-4.13.0.ebuild           | 30 ++++++++++++++++++++++
 2 files changed, 31 insertions(+)

diff --git a/dev-python/antlr4-python3-runtime/Manifest b/dev-python/antlr4-python3-runtime/Manifest
index c12e2d983bdb..d6986f79b86b 100644
--- a/dev-python/antlr4-python3-runtime/Manifest
+++ b/dev-python/antlr4-python3-runtime/Manifest
@@ -1 +1,2 @@
 DIST antlr-4.12.0.gh.tar.gz 4408352 BLAKE2B 9a7ba9149c459e5b6a7eec750d1623f10be4aa119479d93dbf7f3955176013ac3e56d3a95399460ed5170cf2bf01fff586852a84d2cb86fe04e89846211e39cd SHA512 2217509e8766ceee7b9e5fdee3a9972b1f42fb442bdf3e3c0a8027f88bc49508386adb5ea8a02c982ef2176e2b5e60669746a387ec426682d7f43bca28aa4b6f
+DIST antlr4-4.13.0.gh.tar.gz 4317288 BLAKE2B 7971b12a3d3fe50f50b9888a4de9cb7fdc28140c95a29fe00538a48da3434ec1c38643e7a1eb19457e0363b7e57747f5597081af59f653f7108f26f6515d8f35 SHA512 947ecca28712aa4dd98d7b7e0753e91881e55642f7951ca65a576b94db87440767a1b93d08e82db69ad527ee28bf89f0b2f9c0aaa604a999a7e48c163764ee12

diff --git a/dev-python/antlr4-python3-runtime/antlr4-python3-runtime-4.13.0.ebuild b/dev-python/antlr4-python3-runtime/antlr4-python3-runtime-4.13.0.ebuild
new file mode 100644
index 000000000000..31dcc7c87016
--- /dev/null
+++ b/dev-python/antlr4-python3-runtime/antlr4-python3-runtime-4.13.0.ebuild
@@ -0,0 +1,30 @@
+# Copyright 2022-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{10..11} )
+
+inherit distutils-r1
+
+MY_P=antlr4-${PV}
+DESCRIPTION="Python 3 runtime for ANTLR"
+HOMEPAGE="
+	https://www.antlr.org/
+	https://github.com/antlr/antlr4/
+	https://pypi.org/project/antlr4-python3-runtime/
+"
+SRC_URI="
+	https://github.com/antlr/antlr4/archive/${PV}.tar.gz
+		-> ${MY_P}.gh.tar.gz
+"
+S="${WORKDIR}/${MY_P}/runtime/Python3"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+
+python_test() {
+	"${EPYTHON}" tests/run.py -v || die "Tests failed with ${EPYTHON}"
+}


^ permalink raw reply related	[flat|nested] 18+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: dev-python/antlr4-python3-runtime/
@ 2023-07-24 11:30 Michał Górny
  0 siblings, 0 replies; 18+ messages in thread
From: Michał Górny @ 2023-07-24 11:30 UTC (permalink / raw
  To: gentoo-commits

commit:     cec7d307a84c3502fb77502585dbf41da383b957
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Mon Jul 24 11:18:18 2023 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Mon Jul 24 11:30:27 2023 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=cec7d307

dev-python/antlr4-python3-runtime: Remove old

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 dev-python/antlr4-python3-runtime/Manifest         |  1 -
 .../antlr4-python3-runtime-4.12.0.ebuild           | 29 ----------------------
 2 files changed, 30 deletions(-)

diff --git a/dev-python/antlr4-python3-runtime/Manifest b/dev-python/antlr4-python3-runtime/Manifest
index d6986f79b86b..888d9b78d3da 100644
--- a/dev-python/antlr4-python3-runtime/Manifest
+++ b/dev-python/antlr4-python3-runtime/Manifest
@@ -1,2 +1 @@
-DIST antlr-4.12.0.gh.tar.gz 4408352 BLAKE2B 9a7ba9149c459e5b6a7eec750d1623f10be4aa119479d93dbf7f3955176013ac3e56d3a95399460ed5170cf2bf01fff586852a84d2cb86fe04e89846211e39cd SHA512 2217509e8766ceee7b9e5fdee3a9972b1f42fb442bdf3e3c0a8027f88bc49508386adb5ea8a02c982ef2176e2b5e60669746a387ec426682d7f43bca28aa4b6f
 DIST antlr4-4.13.0.gh.tar.gz 4317288 BLAKE2B 7971b12a3d3fe50f50b9888a4de9cb7fdc28140c95a29fe00538a48da3434ec1c38643e7a1eb19457e0363b7e57747f5597081af59f653f7108f26f6515d8f35 SHA512 947ecca28712aa4dd98d7b7e0753e91881e55642f7951ca65a576b94db87440767a1b93d08e82db69ad527ee28bf89f0b2f9c0aaa604a999a7e48c163764ee12

diff --git a/dev-python/antlr4-python3-runtime/antlr4-python3-runtime-4.12.0.ebuild b/dev-python/antlr4-python3-runtime/antlr4-python3-runtime-4.12.0.ebuild
deleted file mode 100644
index 2c778f97e89c..000000000000
--- a/dev-python/antlr4-python3-runtime/antlr4-python3-runtime-4.12.0.ebuild
+++ /dev/null
@@ -1,29 +0,0 @@
-# Copyright 2022-2023 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=8
-
-DISTUTILS_USE_PEP517=setuptools
-PYTHON_COMPAT=( python3_{9..11} )
-
-inherit distutils-r1
-
-DESCRIPTION="Python 3 runtime for ANTLR"
-HOMEPAGE="
-	https://www.antlr.org/
-	https://github.com/antlr/antlr4/
-	https://pypi.org/project/antlr4-python3-runtime/
-"
-SRC_URI="
-	https://github.com/antlr/antlr4/archive/${PV}.tar.gz
-		-> antlr-${PV}.gh.tar.gz
-"
-S="${WORKDIR}/antlr4-${PV}/runtime/Python3"
-
-LICENSE="BSD"
-SLOT="0"
-KEYWORDS="~amd64 ~x86"
-
-python_test() {
-	"${EPYTHON}" tests/run.py -v || die "Tests failed with ${EPYTHON}"
-}


^ permalink raw reply related	[flat|nested] 18+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: dev-python/antlr4-python3-runtime/
@ 2023-09-05  5:54 Michał Górny
  0 siblings, 0 replies; 18+ messages in thread
From: Michał Górny @ 2023-09-05  5:54 UTC (permalink / raw
  To: gentoo-commits

commit:     09ff50a9e30dd3ee870e4e00274607fe3fecc04f
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Tue Sep  5 05:20:51 2023 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Tue Sep  5 05:54:35 2023 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=09ff50a9

dev-python/antlr4-python3-runtime: Bump to 4.13.1

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 dev-python/antlr4-python3-runtime/Manifest         |  1 +
 .../antlr4-python3-runtime-4.13.1.ebuild           | 30 ++++++++++++++++++++++
 2 files changed, 31 insertions(+)

diff --git a/dev-python/antlr4-python3-runtime/Manifest b/dev-python/antlr4-python3-runtime/Manifest
index 888d9b78d3da..954b26703cb1 100644
--- a/dev-python/antlr4-python3-runtime/Manifest
+++ b/dev-python/antlr4-python3-runtime/Manifest
@@ -1 +1,2 @@
 DIST antlr4-4.13.0.gh.tar.gz 4317288 BLAKE2B 7971b12a3d3fe50f50b9888a4de9cb7fdc28140c95a29fe00538a48da3434ec1c38643e7a1eb19457e0363b7e57747f5597081af59f653f7108f26f6515d8f35 SHA512 947ecca28712aa4dd98d7b7e0753e91881e55642f7951ca65a576b94db87440767a1b93d08e82db69ad527ee28bf89f0b2f9c0aaa604a999a7e48c163764ee12
+DIST antlr4-4.13.1.gh.tar.gz 4164054 BLAKE2B a51b91ef93bd4b540a382f8d4eb2bcd1a2e47a29ab20a601a2fdc6ea3d17f9acb62a4bda1a9383ba1d40853a2346f68fe846d700c3f8ae6c9a0f940ad8c660be SHA512 79ac3cdfc8f2368c647d06aec85d87507629a75527205ff2cbf7d9802989b0c6e6a8fac76148ad101f539c9ef922e431e22ba489f899f847ccc3d3d889bb2b70

diff --git a/dev-python/antlr4-python3-runtime/antlr4-python3-runtime-4.13.1.ebuild b/dev-python/antlr4-python3-runtime/antlr4-python3-runtime-4.13.1.ebuild
new file mode 100644
index 000000000000..31dcc7c87016
--- /dev/null
+++ b/dev-python/antlr4-python3-runtime/antlr4-python3-runtime-4.13.1.ebuild
@@ -0,0 +1,30 @@
+# Copyright 2022-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{10..11} )
+
+inherit distutils-r1
+
+MY_P=antlr4-${PV}
+DESCRIPTION="Python 3 runtime for ANTLR"
+HOMEPAGE="
+	https://www.antlr.org/
+	https://github.com/antlr/antlr4/
+	https://pypi.org/project/antlr4-python3-runtime/
+"
+SRC_URI="
+	https://github.com/antlr/antlr4/archive/${PV}.tar.gz
+		-> ${MY_P}.gh.tar.gz
+"
+S="${WORKDIR}/${MY_P}/runtime/Python3"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+
+python_test() {
+	"${EPYTHON}" tests/run.py -v || die "Tests failed with ${EPYTHON}"
+}


^ permalink raw reply related	[flat|nested] 18+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: dev-python/antlr4-python3-runtime/
@ 2023-12-30 18:26 Michał Górny
  0 siblings, 0 replies; 18+ messages in thread
From: Michał Górny @ 2023-12-30 18:26 UTC (permalink / raw
  To: gentoo-commits

commit:     cb92c833bc12e00f5c7d5bd4c65355e754af1d06
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Sat Dec 30 18:25:25 2023 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Sat Dec 30 18:26:25 2023 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=cb92c833

dev-python/antlr4-python3-runtime: Remove old

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 dev-python/antlr4-python3-runtime/Manifest         |  1 -
 .../antlr4-python3-runtime-4.13.0.ebuild           | 30 ----------------------
 2 files changed, 31 deletions(-)

diff --git a/dev-python/antlr4-python3-runtime/Manifest b/dev-python/antlr4-python3-runtime/Manifest
index 954b26703cb1..74e6a52641c1 100644
--- a/dev-python/antlr4-python3-runtime/Manifest
+++ b/dev-python/antlr4-python3-runtime/Manifest
@@ -1,2 +1 @@
-DIST antlr4-4.13.0.gh.tar.gz 4317288 BLAKE2B 7971b12a3d3fe50f50b9888a4de9cb7fdc28140c95a29fe00538a48da3434ec1c38643e7a1eb19457e0363b7e57747f5597081af59f653f7108f26f6515d8f35 SHA512 947ecca28712aa4dd98d7b7e0753e91881e55642f7951ca65a576b94db87440767a1b93d08e82db69ad527ee28bf89f0b2f9c0aaa604a999a7e48c163764ee12
 DIST antlr4-4.13.1.gh.tar.gz 4164054 BLAKE2B a51b91ef93bd4b540a382f8d4eb2bcd1a2e47a29ab20a601a2fdc6ea3d17f9acb62a4bda1a9383ba1d40853a2346f68fe846d700c3f8ae6c9a0f940ad8c660be SHA512 79ac3cdfc8f2368c647d06aec85d87507629a75527205ff2cbf7d9802989b0c6e6a8fac76148ad101f539c9ef922e431e22ba489f899f847ccc3d3d889bb2b70

diff --git a/dev-python/antlr4-python3-runtime/antlr4-python3-runtime-4.13.0.ebuild b/dev-python/antlr4-python3-runtime/antlr4-python3-runtime-4.13.0.ebuild
deleted file mode 100644
index 31dcc7c87016..000000000000
--- a/dev-python/antlr4-python3-runtime/antlr4-python3-runtime-4.13.0.ebuild
+++ /dev/null
@@ -1,30 +0,0 @@
-# Copyright 2022-2023 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=8
-
-DISTUTILS_USE_PEP517=setuptools
-PYTHON_COMPAT=( python3_{10..11} )
-
-inherit distutils-r1
-
-MY_P=antlr4-${PV}
-DESCRIPTION="Python 3 runtime for ANTLR"
-HOMEPAGE="
-	https://www.antlr.org/
-	https://github.com/antlr/antlr4/
-	https://pypi.org/project/antlr4-python3-runtime/
-"
-SRC_URI="
-	https://github.com/antlr/antlr4/archive/${PV}.tar.gz
-		-> ${MY_P}.gh.tar.gz
-"
-S="${WORKDIR}/${MY_P}/runtime/Python3"
-
-LICENSE="BSD"
-SLOT="0"
-KEYWORDS="~amd64 ~x86"
-
-python_test() {
-	"${EPYTHON}" tests/run.py -v || die "Tests failed with ${EPYTHON}"
-}


^ permalink raw reply related	[flat|nested] 18+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: dev-python/antlr4-python3-runtime/
@ 2024-04-13 14:10 Michał Górny
  0 siblings, 0 replies; 18+ messages in thread
From: Michał Górny @ 2024-04-13 14:10 UTC (permalink / raw
  To: gentoo-commits

commit:     e1780cb29e24a45fe5f8e623db518649a4bf7bf0
Author:     Volkmar W. Pogatzki <gentoo <AT> pogatzki <DOT> net>
AuthorDate: Sat Apr 13 08:43:17 2024 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Sat Apr 13 14:09:45 2024 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=e1780cb2

dev-python/antlr4-python3-runtime: update maintainers

This package got nothing to do with java.

Signed-off-by: Volkmar W. Pogatzki <gentoo <AT> pogatzki.net>
Closes: https://github.com/gentoo/gentoo/pull/36233
Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 dev-python/antlr4-python3-runtime/metadata.xml | 4 ----
 1 file changed, 4 deletions(-)

diff --git a/dev-python/antlr4-python3-runtime/metadata.xml b/dev-python/antlr4-python3-runtime/metadata.xml
index 542c7a870d6e..82064b3356c6 100644
--- a/dev-python/antlr4-python3-runtime/metadata.xml
+++ b/dev-python/antlr4-python3-runtime/metadata.xml
@@ -1,10 +1,6 @@
 <?xml version="1.0" encoding="UTF-8"?>
 <!DOCTYPE pkgmetadata SYSTEM "https://www.gentoo.org/dtd/metadata.dtd">
 <pkgmetadata>
-	<maintainer type="project">
-		<email>java@gentoo.org</email>
-		<name>Java</name>
-	</maintainer>
 	<maintainer type="project">
 		<email>python@gentoo.org</email>
 		<name>Python</name>


^ permalink raw reply related	[flat|nested] 18+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: dev-python/antlr4-python3-runtime/
@ 2024-04-14 12:54 Michał Górny
  0 siblings, 0 replies; 18+ messages in thread
From: Michał Górny @ 2024-04-14 12:54 UTC (permalink / raw
  To: gentoo-commits

commit:     ffb4893c977876ec4be9252dbf255f97d263ceb3
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Sun Apr 14 12:48:57 2024 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Sun Apr 14 12:54:31 2024 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=ffb4893c

dev-python/antlr4-python3-runtime: Enable py3.12

Closes: https://bugs.gentoo.org/929434
Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 .../antlr4-python3-runtime-4.13.1.ebuild                      | 11 +++++++++--
 1 file changed, 9 insertions(+), 2 deletions(-)

diff --git a/dev-python/antlr4-python3-runtime/antlr4-python3-runtime-4.13.1.ebuild b/dev-python/antlr4-python3-runtime/antlr4-python3-runtime-4.13.1.ebuild
index 31dcc7c87016..495831c62f21 100644
--- a/dev-python/antlr4-python3-runtime/antlr4-python3-runtime-4.13.1.ebuild
+++ b/dev-python/antlr4-python3-runtime/antlr4-python3-runtime-4.13.1.ebuild
@@ -1,10 +1,10 @@
-# Copyright 2022-2023 Gentoo Authors
+# Copyright 2022-2024 Gentoo Authors
 # Distributed under the terms of the GNU General Public License v2
 
 EAPI=8
 
 DISTUTILS_USE_PEP517=setuptools
-PYTHON_COMPAT=( python3_{10..11} )
+PYTHON_COMPAT=( python3_{10..12} )
 
 inherit distutils-r1
 
@@ -25,6 +25,13 @@ LICENSE="BSD"
 SLOT="0"
 KEYWORDS="~amd64 ~x86"
 
+src_prepare() {
+	# https://github.com/antlr/antlr4/pull/4593
+	sed -i -e 's:assertEquals:assertEqual:' tests/TestIntervalSet.py || die
+
+	distutils-r1_src_prepare
+}
+
 python_test() {
 	"${EPYTHON}" tests/run.py -v || die "Tests failed with ${EPYTHON}"
 }


^ permalink raw reply related	[flat|nested] 18+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: dev-python/antlr4-python3-runtime/
@ 2024-05-18 15:26 Michał Górny
  0 siblings, 0 replies; 18+ messages in thread
From: Michał Górny @ 2024-05-18 15:26 UTC (permalink / raw
  To: gentoo-commits

commit:     8fdb259041e71dbcd8d33efd8439efc4b23739ea
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Sat May 18 15:20:32 2024 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Sat May 18 15:24:30 2024 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=8fdb2590

dev-python/antlr4-python3-runtime: Enable py3.13

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 dev-python/antlr4-python3-runtime/antlr4-python3-runtime-4.13.1.ebuild | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/dev-python/antlr4-python3-runtime/antlr4-python3-runtime-4.13.1.ebuild b/dev-python/antlr4-python3-runtime/antlr4-python3-runtime-4.13.1.ebuild
index 495831c62f21..55b749cf00e1 100644
--- a/dev-python/antlr4-python3-runtime/antlr4-python3-runtime-4.13.1.ebuild
+++ b/dev-python/antlr4-python3-runtime/antlr4-python3-runtime-4.13.1.ebuild
@@ -4,7 +4,7 @@
 EAPI=8
 
 DISTUTILS_USE_PEP517=setuptools
-PYTHON_COMPAT=( python3_{10..12} )
+PYTHON_COMPAT=( python3_{10..13} )
 
 inherit distutils-r1
 


^ permalink raw reply related	[flat|nested] 18+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: dev-python/antlr4-python3-runtime/
@ 2024-08-04  2:48 Michał Górny
  0 siblings, 0 replies; 18+ messages in thread
From: Michał Górny @ 2024-08-04  2:48 UTC (permalink / raw
  To: gentoo-commits

commit:     7c6a92dd1eb5937dc75fa0d8b03f94301a7d3728
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Sun Aug  4 02:39:39 2024 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Sun Aug  4 02:48:10 2024 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=7c6a92dd

dev-python/antlr4-python3-runtime: Bump to 4.13.2

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 dev-python/antlr4-python3-runtime/Manifest         |  1 +
 .../antlr4-python3-runtime-4.13.2.ebuild           | 37 ++++++++++++++++++++++
 2 files changed, 38 insertions(+)

diff --git a/dev-python/antlr4-python3-runtime/Manifest b/dev-python/antlr4-python3-runtime/Manifest
index 74e6a52641c1..7c651b75bf0a 100644
--- a/dev-python/antlr4-python3-runtime/Manifest
+++ b/dev-python/antlr4-python3-runtime/Manifest
@@ -1 +1,2 @@
 DIST antlr4-4.13.1.gh.tar.gz 4164054 BLAKE2B a51b91ef93bd4b540a382f8d4eb2bcd1a2e47a29ab20a601a2fdc6ea3d17f9acb62a4bda1a9383ba1d40853a2346f68fe846d700c3f8ae6c9a0f940ad8c660be SHA512 79ac3cdfc8f2368c647d06aec85d87507629a75527205ff2cbf7d9802989b0c6e6a8fac76148ad101f539c9ef922e431e22ba489f899f847ccc3d3d889bb2b70
+DIST antlr4-4.13.2.gh.tar.gz 4167326 BLAKE2B 709f3c18329e08a811d7a4e5258fc0183ba6fa6ab62fe83ab694360cf1ce2bb3aa3f30cc62a0339a6ff8b64dd0a766057fd6f751cfc34a4e05051e4d54a57fad SHA512 afd8ecab637a0e70cddf98f63c918eab2b907f87207624e20e80a79f885d6502d4ab734a602b1707969d61944410828b689ec2f8b09c15314fe991024cde1613

diff --git a/dev-python/antlr4-python3-runtime/antlr4-python3-runtime-4.13.2.ebuild b/dev-python/antlr4-python3-runtime/antlr4-python3-runtime-4.13.2.ebuild
new file mode 100644
index 000000000000..55b749cf00e1
--- /dev/null
+++ b/dev-python/antlr4-python3-runtime/antlr4-python3-runtime-4.13.2.ebuild
@@ -0,0 +1,37 @@
+# Copyright 2022-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{10..13} )
+
+inherit distutils-r1
+
+MY_P=antlr4-${PV}
+DESCRIPTION="Python 3 runtime for ANTLR"
+HOMEPAGE="
+	https://www.antlr.org/
+	https://github.com/antlr/antlr4/
+	https://pypi.org/project/antlr4-python3-runtime/
+"
+SRC_URI="
+	https://github.com/antlr/antlr4/archive/${PV}.tar.gz
+		-> ${MY_P}.gh.tar.gz
+"
+S="${WORKDIR}/${MY_P}/runtime/Python3"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+
+src_prepare() {
+	# https://github.com/antlr/antlr4/pull/4593
+	sed -i -e 's:assertEquals:assertEqual:' tests/TestIntervalSet.py || die
+
+	distutils-r1_src_prepare
+}
+
+python_test() {
+	"${EPYTHON}" tests/run.py -v || die "Tests failed with ${EPYTHON}"
+}


^ permalink raw reply related	[flat|nested] 18+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: dev-python/antlr4-python3-runtime/
@ 2024-09-23  9:13 Arthur Zamarin
  0 siblings, 0 replies; 18+ messages in thread
From: Arthur Zamarin @ 2024-09-23  9:13 UTC (permalink / raw
  To: gentoo-commits

commit:     5d0f2400ba53152b14fe5213660e5544523c3e91
Author:     Arthur Zamarin <arthurzam <AT> gentoo <DOT> org>
AuthorDate: Mon Sep 23 09:13:11 2024 +0000
Commit:     Arthur Zamarin <arthurzam <AT> gentoo <DOT> org>
CommitDate: Mon Sep 23 09:13:11 2024 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=5d0f2400

dev-python/antlr4-python3-runtime: Keyword 4.13.2 arm64, #940136

Signed-off-by: Arthur Zamarin <arthurzam <AT> gentoo.org>

 dev-python/antlr4-python3-runtime/antlr4-python3-runtime-4.13.2.ebuild | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/dev-python/antlr4-python3-runtime/antlr4-python3-runtime-4.13.2.ebuild b/dev-python/antlr4-python3-runtime/antlr4-python3-runtime-4.13.2.ebuild
index 55b749cf00e1..4a2362777072 100644
--- a/dev-python/antlr4-python3-runtime/antlr4-python3-runtime-4.13.2.ebuild
+++ b/dev-python/antlr4-python3-runtime/antlr4-python3-runtime-4.13.2.ebuild
@@ -23,7 +23,7 @@ S="${WORKDIR}/${MY_P}/runtime/Python3"
 
 LICENSE="BSD"
 SLOT="0"
-KEYWORDS="~amd64 ~x86"
+KEYWORDS="~amd64 ~arm64 ~x86"
 
 src_prepare() {
 	# https://github.com/antlr/antlr4/pull/4593


^ permalink raw reply related	[flat|nested] 18+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: dev-python/antlr4-python3-runtime/
@ 2024-09-25 23:41 Jakov Smolić
  0 siblings, 0 replies; 18+ messages in thread
From: Jakov Smolić @ 2024-09-25 23:41 UTC (permalink / raw
  To: gentoo-commits

commit:     96a8ca53a7ab1d605faa8ca5d249b6b577e7a06f
Author:     Jakov Smolić <jsmolic <AT> gentoo <DOT> org>
AuthorDate: Wed Sep 25 23:41:40 2024 +0000
Commit:     Jakov Smolić <jsmolic <AT> gentoo <DOT> org>
CommitDate: Wed Sep 25 23:41:40 2024 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=96a8ca53

dev-python/antlr4-python3-runtime: Keyword 4.13.2 riscv, #940136

Signed-off-by: Jakov Smolić <jsmolic <AT> gentoo.org>

 dev-python/antlr4-python3-runtime/antlr4-python3-runtime-4.13.2.ebuild | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/dev-python/antlr4-python3-runtime/antlr4-python3-runtime-4.13.2.ebuild b/dev-python/antlr4-python3-runtime/antlr4-python3-runtime-4.13.2.ebuild
index 4a2362777072..126238bbae0b 100644
--- a/dev-python/antlr4-python3-runtime/antlr4-python3-runtime-4.13.2.ebuild
+++ b/dev-python/antlr4-python3-runtime/antlr4-python3-runtime-4.13.2.ebuild
@@ -23,7 +23,7 @@ S="${WORKDIR}/${MY_P}/runtime/Python3"
 
 LICENSE="BSD"
 SLOT="0"
-KEYWORDS="~amd64 ~arm64 ~x86"
+KEYWORDS="~amd64 ~arm64 ~riscv ~x86"
 
 src_prepare() {
 	# https://github.com/antlr/antlr4/pull/4593


^ permalink raw reply related	[flat|nested] 18+ messages in thread

end of thread, other threads:[~2024-09-25 23:41 UTC | newest]

Thread overview: 18+ messages (download: mbox.gz follow: Atom feed
-- links below jump to the message on this page --
2022-04-12 17:34 [gentoo-commits] repo/gentoo:master commit in: dev-python/antlr4-python3-runtime/ Michał Górny
  -- strict thread matches above, loose matches on Subject: below --
2024-09-25 23:41 Jakov Smolić
2024-09-23  9:13 Arthur Zamarin
2024-08-04  2:48 Michał Górny
2024-05-18 15:26 Michał Górny
2024-04-14 12:54 Michał Górny
2024-04-13 14:10 Michał Górny
2023-12-30 18:26 Michał Górny
2023-09-05  5:54 Michał Górny
2023-07-24 11:30 Michał Górny
2023-05-22  5:53 Michał Górny
2023-02-20  6:24 Michał Górny
2022-11-14  4:34 Michał Górny
2022-09-05  7:18 Michał Górny
2022-05-16 12:55 Michał Górny
2022-05-01 13:42 Michał Górny
2022-03-10  9:04 Jakov Smolić
2022-02-16 20:00 Arthur Zamarin

This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox